## qtruby 4.8.4

=== rails_support/CMakeLists.txt ===
install( FILES active_item_model.rb  active_table_model.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/Qt )

=== src/lib/Qt/CMakeLists.txt ===

install( FILES  qtruby4.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/Qt )



#original Makefile.am contents follow:

#qtrubylibdir = $(RUBY_SITEDIR)/Qt
#qtrubylib_DATA = qtruby4.rb

## qtruby 4.7.1

=== debian/changelog ===
qtruby (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 18:31:08 +0200

qtruby (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Rebuild to pick up new Qt library path.
  * Disable qwt bindings.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 26 Aug 2011 14:47:37 +0200

qtruby (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - debian/copyright:
      + fix license of examples/ruboids
    - Add license copy for ruboids as kubuntu_add_ruboids_license.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jul 2011 04:47:03 +0200

qtruby (4:4.6.95-1) UNRELEASED; urgency=low

  [ David Palacio ]
  * Source package `kdebindings` split.
  * Follow package naming guidelines for Ruby in Wheeze.
  * Add inter-module dependencies.

  [ Pino Toscano ]
  * Add kdebindings-dbg to ruby-qt4-dbg Breaks/Replaces.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 17 Jun 2011 22:01:09 -0500

=== debian/control ===
Source: qtruby
Section: ruby
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools, libsmokeqt4-dev, ruby1.8, ruby1.8-dev, libqt4-dev,
 libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby

Package: libqtruby4shared2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: internal library for Qt 4 Ruby bindings
 This is an internal library of Qt Ruby.
 .
 This is part of the Qt Ruby module.

Package: libqtruby4shared-dev
Section: libdevel
Architecture: any
Depends: ${so:Depends}, ${misc:Depends}
Description: Qt4 Ruby bindings
 moduledescreplace

Package: ruby-qscintilla2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QScintilla2 bindings for the Ruby language
 This package provides the Ruby bindings for the QScintilla2 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ruby1.8
Provides: libqt4-ruby, libqt4-ruby1.8
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Qt 4 bindings for the Ruby language
 This package provides the Ruby bindings for some of the Qt 4 modules:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-declarative
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Description: QtDeclarative bindings for the Ruby language
 This package provides the Ruby bindings for the QtDeclarative Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokeqt4-dbg
Description: Qt 4 bindings for the Ruby language -- debug symbols
 This package provides the debug symbols of the Qt 4 Ruby bindings.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-phonon
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Phonon bindings for the Ruby language
 This package provides the Ruby bindings for the Phonon library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-script
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtScript bindings for the Ruby language
 This package provides the Ruby bindings for the QtScript Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-test
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtTest bindings for the Ruby language
 This package provides the Ruby bindings for the QtTest Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-uitools
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtUiTools bindings for the Ruby language
 This package provides the Ruby bindings for the QtUiTools Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-webkit
Architecture: any
Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtWebKit bindings for the Ruby language
 This package provides the Ruby bindings for the QtWebKit Qt 4 library.
 .
 This is part of the Qt Ruby module.

#Package: ruby-qwt5
#Architecture: any
#Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
#Description: QWt5 bindings for the Ruby language
# This package provides the Ruby bindings for the QWt5 library.
# .
# This is part of the Qt Ruby module.

#Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
Package: libqt4-ruby
Architecture: all
Depends: ${misc:Depends}, ruby-qt4
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.

Package: libqt4-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby-qt4
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.

=== debian/rules ===
#! /usr/bin/make -f

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-qt4-dbg

#Always use Ruby 1.8.x
override_dh_auto_configure:
	dh_auto_configure -- -DRUBY_EXECUTABLE=/usr/bin/ruby1.8

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/smokeqt-([\d\.]+)\.tar\.bz2

## qtruby 4.8.2

=== debian/changelog ===
qtruby (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 21:13:26 +0200

qtruby (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 01:36:27 +0100

qtruby (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:05:10 +0100

qtruby (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Add Build-Conflicts: libqwt-dev for now (https://bugs.kde.org/278486)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:35 +0000

qtruby (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:04:13 +0100

qtruby (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:55:59 +0000

qtruby (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git
  * ruby-qt4-phonon replaces/breaks ruby-phonon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 01:07:03 +0000

qtruby (4:4.7.1-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Follow package naming guidelines for Ruby.
  * Split Qt modules in own packages.
  * Package QScintilla2 binding.
  * Update control:
    - add ruby-qt4-dbg
    - update Uploaders
    - remove redundant section fields
    - add inter-module dependencies
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.

  [ Pino Toscano ]
  * Update rules:
    - pass sodeps as dh addon
    - do not compress .rb, .ui, .mng, and .xbel files (found in the examples)
    - manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
      as dpkg-buildpackage does not do that anymore
    - generate libraries shlibs based on the current version
    - tighten the various libraries dependencies to the current version
  * Update control:
    - ruby-qt4-dbg: make it break/replace kdebindings-dbg, and recommend
      libruby1.8-dbg
    - add ${misc:Depends} to the packages lacking it
    - improve descriptions
    - require smoke-dev-tools >= 4.7.1, and make libqtruby4shared-dev
      depend on it
    - require libsmokeqt4-dev >= 4.7.1
    - tighten the dependencies of the ruby-* modules wrt ruby-qt4
  * Update the patches:
    - strip sequence numbers from the filenames
    - refresh
    - add DEP-3 headers for patches which didn't have them
  * Install the examples for qscintilla and qttest.
  * Compress all the examples installed by ruby-qt4 in a single examples.tar.gz
    archive, reducing the space they take.
  * Update copyright, adding myself to it.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 02 Oct 2011 17:31:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,32 +5,38 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools, libsmokeqt4-dev, ruby1.8, ruby1.8-dev, libqt4-dev,
- libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
+ smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.8),
+ ruby1.8, ruby1.8-dev,
+ libqt4-dev, libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
+Build-Conflicts: libqwt-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
 Package: libqtruby4shared2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: internal library for Qt 4 Ruby bindings
- This is an internal library of Qt Ruby.
+ This package provides an internal library of Qt Ruby.
  .
  This is part of the Qt Ruby module.
 
 Package: libqtruby4shared-dev
 Section: libdevel
 Architecture: any
-Depends: ${so:Depends}, ${misc:Depends}
-Description: Qt4 Ruby bindings
- moduledescreplace
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.7.0)
+Description: internal library for Qt 4 Ruby bindings -- development
+ This package provides the development files of the internal Qt Ruby library.
+ .
+ This is part of the Qt Ruby module.
 
 Package: ruby-qscintilla2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: QScintilla2 bindings for the Ruby language
  This package provides the Ruby bindings for the QScintilla2 library.
  .
@@ -55,7 +61,7 @@
 
 Package: ruby-qt4-declarative
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: QtDeclarative bindings for the Ruby language
  This package provides the Ruby bindings for the QtDeclarative Qt 4 library.
  .
@@ -68,16 +74,17 @@
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
 Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}
-Recommends: libsmokeqt4-dbg
+Recommends: libsmokeqt4-dbg, libruby1.8-dbg
 Description: Qt 4 bindings for the Ruby language -- debug symbols
  This package provides the debug symbols of the Qt 4 Ruby bindings.
  .
  This is part of the Qt Ruby module.
 
-Package: ruby-qt4-phonon
+Package: ruby-phonon
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
+Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
 Description: Phonon bindings for the Ruby language
  This package provides the Ruby bindings for the Phonon library.
  .
@@ -85,7 +92,8 @@
 
 Package: ruby-qt4-script
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: QtScript bindings for the Ruby language
  This package provides the Ruby bindings for the QtScript Qt 4 library.
@@ -94,7 +102,8 @@
 
 Package: ruby-qt4-test
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: QtTest bindings for the Ruby language
  This package provides the Ruby bindings for the QtTest Qt 4 library.
@@ -103,7 +112,8 @@
 
 Package: ruby-qt4-uitools
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: QtUiTools bindings for the Ruby language
  This package provides the Ruby bindings for the QtUiTools Qt 4 library.
@@ -112,7 +122,8 @@
 
 Package: ruby-qt4-webkit
 Architecture: any
-Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: QtWebKit bindings for the Ruby language
  This package provides the Ruby bindings for the QtWebKit Qt 4 library.
@@ -121,7 +132,7 @@
 
 #Package: ruby-qwt5
 #Architecture: any
-#Depends: ruby-qt4, ${shlibs:Depends}, ${misc:Depends}
+#Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 #Description: QWt5 bindings for the Ruby language
 # This package provides the Ruby bindings for the QWt5 library.
 # .
@@ -137,7 +148,8 @@
 
 Package: libqt4-ruby1.8
 Architecture: all
-Depends: ${misc:Depends}, ruby-qt4
+Depends: ${misc:Depends}, ruby-qt4, ruby-phonon, ruby-qt4-script,
+ ruby-qt4-test, ruby-qt4-uitools, ruby-qt4-webkit
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
  It can safely be removed.

=== debian/rules ===
#! /usr/bin/make -f

pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

#Always use Ruby 1.8.x
RUBY_SITEARCH := $(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["sitearch"]')
CMAKE_FLAGS := \
  -DRUBY_EXECUTABLE=/usr/bin/ruby1.8 \
  -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
  $(NULL)

export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-qt4-dbg

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_compress:
	dh_compress -X.rb -X.ui -X.mng -X.xbel

override_dh_installexamples:
	dh_installexamples
	tar cvzf $(CURDIR)/debian/ruby-qt4/usr/share/doc/ruby-qt4/examples.tar.gz examples

override_dh_makeshlibs:
	dh_makeshlibs -V
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/shlibs.local

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/qtruby-([\d\.]+)\.tar\.bz2

## qtruby 4.8.4

=== debian/changelog ===
qtruby (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
    - bump smoke-dev-tools and libsmokeqt4 builddependencies

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Mar 2012 15:31:10 -0500

qtruby (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Update copyright:
    - switch to copyright-format v1.0
    - bump year for myself for the current one
  * libqt4-ruby, libqt4-ruby1.8: for these transitional packages, set
    section oldlibs and priority extra.
  * Bump the smoke-dev-tools and libsmokeqt4-dev build dependencies
    to >= 4:4.7.4.

 -- Pino Toscano <pino@debian.org>  Wed, 04 Apr 2012 10:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: qtruby
 Section: ruby
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.8),
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
  ruby1.8, ruby1.8-dev,
  libqt4-dev, libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
-Build-Conflicts: libqwt-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
 Package: libqtruby4shared2
 Section: libs
@@ -83,8 +79,8 @@
 Package: ruby-phonon
 Architecture: any
 Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: Phonon bindings for the Ruby language
  This package provides the Ruby bindings for the Phonon library.
  .
@@ -141,6 +137,8 @@
 #Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
 Package: libqt4-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-qt4
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
@@ -148,6 +146,8 @@
 
 Package: libqt4-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-qt4, ruby-phonon, ruby-qt4-script,
  ruby-qt4-test, ruby-qt4-uitools, ruby-qt4-webkit
 Description: transitional package for ruby-qt4

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
   -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
   -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
   $(NULL)
-
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 override_dh_install:
 	dh_install --list-missing
@@ -43,7 +40,6 @@
 	dh_auto_clean
 	rm -f debian/shlibs.local
 
-#Build-Depend on debhelper (>= 7.4.10) for --parallel
 #Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
 %:
 	dh $@ --parallel --with sodeps

## qtruby 4.9.2

=== debian/changelog ===
qtruby (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:47:32 +0100

qtruby (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:45:53 +0530

qtruby (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:50:10 +0100

qtruby (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:26:21 +0200

## qtruby 4.10.0

=== debian/changelog ===
qtruby (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:24:51 +0000

qtruby (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:35:09 +0000

qtruby (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:50:49 +0100

qtruby (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:10 +0000

qtruby (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:20:59 +0000

qtruby (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:07 +0000

qtruby (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:52:16 +0100

qtruby (4:4.6.95-1) raring; urgency=low

  [ David Palacio ]
  * Source package `kdebindings` split.
  * Follow package naming guidelines for Ruby in Wheeze.
  * Add inter-module dependencies.

  [ Pino Toscano ]
  * Add kdebindings-dbg to ruby-qt4-dbg Breaks/Replaces.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 17 Jun 2011 22:01:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: qtruby
 Section: ruby
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
+Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
  ruby1.8, ruby1.8-dev,
  libqt4-dev, libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
-Standards-Version: 3.9.3
+Build-Conflicts: libqwt-dev
+Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
+X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
 Package: libqtruby4shared2
 Section: libs
@@ -24,7 +28,7 @@
 Package: libqtruby4shared-dev
 Section: libdevel
 Architecture: any
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.7.0)
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.9.2)
 Description: internal library for Qt 4 Ruby bindings -- development
  This package provides the development files of the internal Qt Ruby library.
  .
@@ -79,8 +83,8 @@
 Package: ruby-phonon
 Architecture: any
 Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
+Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
 Description: Phonon bindings for the Ruby language
  This package provides the Ruby bindings for the Phonon library.
  .
@@ -137,8 +141,6 @@
 #Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
 Package: libqt4-ruby
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-qt4
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
@@ -146,8 +148,6 @@
 
 Package: libqt4-ruby1.8
 Architecture: all
-Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}, ruby-qt4, ruby-phonon, ruby-qt4-script,
  ruby-qt4-test, ruby-qt4-uitools, ruby-qt4-webkit
 Description: transitional package for ruby-qt4

## qtruby 4.10.2

=== debian/changelog ===
qtruby (4:4.10.2-0ubuntu3) raring; urgency=low

  * Remove qwt package, it's not in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Apr 2013 15:24:51 +0100

qtruby (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add back missing Qwt package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Apr 2013 13:08:37 +0100

qtruby (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:06:16 +0200

qtruby (4:4.10.1-0ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 09:06:21 -0500

qtruby (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:01:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
+ smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.10.2-0ubuntu2),
  ruby1.8, ruby1.8-dev,
  libqt4-dev, libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
 Build-Conflicts: libqwt-dev

## qtruby 4.10.5

=== debian/changelog ===
qtruby (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:48:37 +0200

## qtruby 4.11.2

=== debian/changelog ===
qtruby (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:01:35 +0100

qtruby (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:45:28 +0100

qtruby (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:45:44 +0100

qtruby (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:14:24 +0100

qtruby (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Use debian-qt-kde.mk for auto-list-missing support

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:39 +0000

qtruby (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:14 +0100

qtruby (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:03:53 +0100

qtruby (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:57:14 +0100

qtruby (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:00 +0000

qtruby (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 06:57:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.10.2-0ubuntu2),
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
  ruby1.8, ruby1.8-dev,
  libqt4-dev, libqtwebkit-dev, libphonon-dev, libqscintilla2-dev
-Build-Conflicts: libqwt-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
+X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
 Package: libqtruby4shared2
 Section: libs
@@ -28,7 +27,7 @@
 Package: libqtruby4shared-dev
 Section: libdevel
 Architecture: any
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.9.2)
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.10)
 Description: internal library for Qt 4 Ruby bindings -- development
  This package provides the development files of the internal Qt Ruby library.
  .
@@ -83,8 +82,8 @@
 Package: ruby-phonon
 Architecture: any
 Depends: ruby-qt4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80), ruby-qt4-phonon
+Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
 Description: Phonon bindings for the Ruby language
  This package provides the Ruby bindings for the Phonon library.
  .
@@ -141,6 +140,8 @@
 #Transitional packages: http://wiki.debian.org/Teams/Ruby/RubyInWheezy
 Package: libqt4-ruby
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-qt4
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
@@ -148,6 +149,8 @@
 
 Package: libqt4-ruby1.8
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, ruby-qt4, ruby-phonon, ruby-qt4-script,
  ruby-qt4-test, ruby-qt4-uitools, ruby-qt4-webkit
 Description: transitional package for ruby-qt4

=== debian/rules ===
#! /usr/bin/make -f

dh := --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

#Always use Ruby 1.8.x
RUBY_SITEARCH := $(shell ruby1.8 -rrbconfig -e 'puts Config::CONFIG["sitearch"]')
CMAKE_FLAGS := \
  -DRUBY_EXECUTABLE=/usr/bin/ruby1.8 \
  -DCUSTOM_RUBY_SITE_LIB_DIR=/usr/lib/ruby/1.8/ \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=/usr/lib/ruby/1.8/$(RUBY_SITEARCH) \
  $(NULL)

override_dh_install:
	$(overridden_command) --list-missing

override_dh_strip:
	$(overridden_command) --dbg-package=ruby-qt4-dbg

override_dh_auto_configure:
	$(overridden_command) -- $(CMAKE_FLAGS)

override_dh_compress:
	$(overridden_command) -X.rb -X.ui -X.mng -X.xbel

override_dh_installexamples:
	$(overridden_command)
	tar cvzf $(CURDIR)/debian/ruby-qt4/usr/share/doc/ruby-qt4/examples.tar.gz examples

override_dh_makeshlibs:
	$(overridden_command) -V
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done

override_dh_auto_clean:
	$(overridden_command)
	rm -f debian/shlibs.local

## qtruby 4.11.3

=== modules/phonon/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${PHONON_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)

set(rubyphonon_LIBRARY_SRC phonon.cpp phononhandlers.cpp)
add_library(rubyphonon MODULE ${rubyphonon_LIBRARY_SRC})
target_link_libraries(rubyphonon
    ${PHONON_LIBS}
    ${SMOKE_PHONON_LIBRARY}
    qtruby4shared
)
set_target_properties(rubyphonon PROPERTIES PREFIX "" OUTPUT_NAME phonon)
install(TARGETS rubyphonon DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES phonon.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/phonon)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/phonon.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/phonon.bundle\" )" )
endif (Q_WS_MAC)

=== debian/changelog ===
qtruby (4:4.11.3-4.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * ruby-qt4.postinst: Clean up obsolete diversions of rbqtapi dating back to
    libqt4-ruby1.8/lenny.  (Closes: #775894)
  * Allow arch-indep-only builds by restricting the dh_installexamples
    override to arch-specific builds.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Jan 2015 12:43:54 +0100

qtruby (4:4.11.3-4) unstable; urgency=medium

  * Build against Ruby 2.1.
  * Breaks binary packages from korundum before its rebuild with Ruby 2.1.
  * Drop build-conflict with ruby1.8 (not needed any more).

 -- Cédric Boutillier <boutil@debian.org>  Mon, 19 May 2014 00:09:58 +0200

qtruby (4:4.11.3-3) unstable; urgency=medium

  * Aesthetic changes made by wrap-and-sort.
  * Build against ruby 2.0. (Closes: #739769)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:11 +0200

qtruby (4:4.11.3-2) unstable; urgency=low

  * Build-conflict with ruby1.8 and build with ruby1.9.1.
  * Install files in Ruby vendor locations as per Ruby policy.
  * Drop use_ruby1.8.diff, since the default Ruby version is used now.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Make Vcs-Git URL more canonical.

 -- Cédric Boutillier <boutil@debian.org>  Sun, 24 Nov 2013 00:12:01 +0100

qtruby (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:38 +0100

qtruby (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:04 +0200

qtruby (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:40 +0200

qtruby (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:19:02 +0200

=== debian/control ===
Source: qtruby
Section: ruby
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Cédric Boutillier <boutil@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libphonon-dev,
               libqscintilla2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsmokeqt4-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.6.8),
               ruby,
               ruby-dev,
               smoke-dev-tools (>= 4:4.11)
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary

Package: libqtruby4shared2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
Description: internal library for Qt 4 Ruby bindings
 This package provides an internal library of Qt Ruby.
 .
 This is part of the Qt Ruby module.

Package: libqtruby4shared-dev
Section: libdevel
Architecture: any
Depends: smoke-dev-tools (>= 4:4.10), ${misc:Depends}, ${so:Depends}
Description: internal library for Qt 4 Ruby bindings -- development
 This package provides the development files of the internal Qt Ruby library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qscintilla2
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: QScintilla2 bindings for the Ruby language
 This package provides the Ruby bindings for the QScintilla2 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ruby
Provides: libqt4-ruby, libqt4-ruby1.8
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Qt 4 bindings for the Ruby language
 This package provides the Ruby bindings for some of the Qt 4 modules:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-declarative
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: QtDeclarative bindings for the Ruby language
 This package provides the Ruby bindings for the QtDeclarative Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokeqt4-dbg
Description: Qt 4 bindings for the Ruby language -- debug symbols
 This package provides the debug symbols of the Qt 4 Ruby bindings.
 .
 This is part of the Qt Ruby module.

Package: ruby-phonon
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Phonon bindings for the Ruby language
 This package provides the Ruby bindings for the Phonon library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-script
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtScript bindings for the Ruby language
 This package provides the Ruby bindings for the QtScript Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-test
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtTest bindings for the Ruby language
 This package provides the Ruby bindings for the QtTest Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-uitools
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtUiTools bindings for the Ruby language
 This package provides the Ruby bindings for the QtUiTools Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-webkit
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtWebKit bindings for the Ruby language
 This package provides the Ruby bindings for the QtWebKit Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: libqt4-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ruby-qt4, ${misc:Depends}
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.

Package: libqt4-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ruby-phonon,
         ruby-qt4,
         ruby-qt4-script,
         ruby-qt4-test,
         ruby-qt4-uitools,
         ruby-qt4-webkit,
         ${misc:Depends}
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.
